From: "Andrew Ammerlaan" <andrewammerlaan@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sci-mathematics/jags/
Date: Mon, 26 Jul 2021 11:48:16 +0000 (UTC) [thread overview]
Message-ID: <1627300093.c73befec8e2b1bfae6cbf34fcb7b3aca2f840ee0.andrewammerlaan@gentoo> (raw)
commit: c73befec8e2b1bfae6cbf34fcb7b3aca2f840ee0
Author: xfim <xavier.fim <AT> gmail <DOT> com>
AuthorDate: Mon Mar 2 11:03:02 2020 +0000
Commit: Andrew Ammerlaan <andrewammerlaan <AT> gentoo <DOT> org>
CommitDate: Mon Jul 26 11:48:13 2021 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c73befec
sci-mathematics/jags: Version bump for 4.3.0
Also, updated to EAPI 7.
Closes: https://bugs.gentoo.org/711304
Closes: https://github.com/gentoo/gentoo/pull/14823
Signed-off-by: Andrew Ammerlaan <andrewammerlaan <AT> gentoo.org>
Signed-off-by: Xavier Fernández i Marín <xavier.fim <AT> gmail.com>
Package-Manager: Portage-2.3.89, Repoman-2.3.20
sci-mathematics/jags/Manifest | 1 +
sci-mathematics/jags/jags-4.3.0.ebuild | 47 ++++++++++++++++++++++++++++++++++
2 files changed, 48 insertions(+)
diff --git a/sci-mathematics/jags/Manifest b/sci-mathematics/jags/Manifest
index c20bc1cbe76..b4a2fcb4f2d 100644
--- a/sci-mathematics/jags/Manifest
+++ b/sci-mathematics/jags/Manifest
@@ -1 +1,2 @@
DIST JAGS-4.2.0.tar.gz 1875538 BLAKE2B 039cefdb546ec28b905f22a4ec3dfe6d85c64064701283fe38be59f53da971b523d8bb5b7c5efe3e9da81a255b064cb8b66cac2fd4e844883b7fcf89cdabdbb1 SHA512 316483cd1a879c70c9b8ad6f23665196b95b9745da3924a47e14f4b0fd7c1abf9237575561cb31044623594360b6e991de68e1d9746baedeb285c65b77baada8
+DIST JAGS-4.3.0.tar.gz 2057409 BLAKE2B 5820c66dd10cc90343d53b901b7dbc1acf85dca0f5f80280864190882f0af865edad877eb2cfd421ec2035d3ae843373da1facee8a10b6735e2fc0387d452949 SHA512 d0564c73ff45484afad532ed788353f9c0945cd9667030eed5be674492bf97524d05903b22d4995c1de8a331dba7b04425d009e114d98a38b4bfce5214518b36
diff --git a/sci-mathematics/jags/jags-4.3.0.ebuild b/sci-mathematics/jags/jags-4.3.0.ebuild
new file mode 100644
index 00000000000..0a07a6aa674
--- /dev/null
+++ b/sci-mathematics/jags/jags-4.3.0.ebuild
@@ -0,0 +1,47 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit toolchain-funcs
+
+MYP="JAGS-${PV}"
+
+DESCRIPTION="Just Another Gibbs Sampler for Bayesian MCMC simulation"
+HOMEPAGE="https://mcmc-jags.sourceforge.io/"
+SRC_URI="mirror://sourceforge/project/mcmc-jags/JAGS/4.x/Source/${MYP}.tar.gz"
+
+SLOT="0"
+LICENSE="GPL-2"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="doc"
+
+RDEPEND="
+ virtual/blas
+ virtual/lapack
+"
+DEPEND="${RDEPEND}"
+BDEPEND="
+ virtual/pkgconfig
+ doc? (
+ virtual/latex-base
+ dev-texlive/texlive-latexextra
+ )"
+
+S="${WORKDIR}/${MYP}"
+
+src_configure() {
+ econf \
+ --with-blas="$($(tc-getPKG_CONFIG) --libs blas)" \
+ --with-lapack="$($(tc-getPKG_CONFIG) --libs lapack)"
+}
+
+src_compile() {
+ emake all $(usex doc docs "")
+}
+
+src_install() {
+ default
+ use doc && dodoc doc/manual/*.pdf
+ find "${ED}" -name '*.la' -delete || die
+}
next reply other threads:[~2021-07-26 11:48 UTC|newest]
Thread overview: 16+ messages / expand[flat|nested] mbox.gz Atom feed top
2021-07-26 11:48 Andrew Ammerlaan [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-11-15 22:23 [gentoo-commits] repo/gentoo:master commit in: sci-mathematics/jags/ Andreas K. Hüttel
2024-08-06 0:20 Eli Schwartz
2024-08-06 0:20 Eli Schwartz
2023-06-10 4:20 Sam James
2022-11-22 7:57 Sam James
2022-11-22 7:57 Sam James
2022-08-30 22:00 Andreas Sturmlechner
2022-08-30 18:40 Jakov Smolić
2022-08-30 18:40 Jakov Smolić
2021-05-31 9:20 David Seifert
2016-03-02 8:32 David Seifert
2016-01-21 19:44 David Seifert
2016-01-21 19:44 David Seifert
2015-11-28 17:41 Justin Lecher
2015-11-28 17:41 Justin Lecher
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1627300093.c73befec8e2b1bfae6cbf34fcb7b3aca2f840ee0.andrewammerlaan@gentoo \
--to=andrewammerlaan@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox